#include<bits/stdc++.h>
using namespace std;
#pragma optimise ("O3")
#pragma target ("sse4")
const long long MAXN=100007;
long long n;
struct point
{
    int x,y;
} pp[MAXN];
int main()
{
    cin>>n;
    for (int q=0;q<n;q++) {cin>>pp[q].x>>pp[q].y;pp[q].x+=10000;pp[q].y+=10000;}
    long long ans=0;
    for (int q=0;q<20000;q++)
    {
        for (int w=q+1;w<20000;w++)
        {
            long long aa=100027;
            aa*=aa;
            aa+=12;
            aa/=5000;
            ans+=aa
        }
    }
}

